Subject: Re: bug#7871: 24.0.50; Emacs M-x man vs. RREPC screen width

From: [email-masked]
Date: Fri, 21 Jan 2011 10:51:40 +0800

>>>>> "ŠN" == Štěpán Němec <[email-masked]> writes:
ŠN> [email-masked] writes:

>> Why on EEEPC 702 does emacs's M-x man miscalculate the screen width,
>> causing M-x man to go beyond the edge as shown in the attached
>> screenshot.

ŠN> This sometimes happens to me, too (on trunk, but I'm not sure it
ŠN> matters); I haven't investigated, probably something to do with window
ŠN> configuration at the time you run `man'. In any case, I doubt it has
ŠN> anything to do with "EEEPC 702" specifically, whatever that is.

Ah, probably need these in .emacs in order for M-x man to always
work properly
(setenv "PAGER" "cat")
(setenv "LESS" nil)
(setenv "COLUMNS" nil)
(setenv "LINES" nil)